Alembic::Abc::ALEMBIC_VERSION_NS::OScalarProperty Class Reference

`#include <OScalarProperty.h>`

Inheritance diagram for Alembic::Abc::ALEMBIC_VERSION_NS::OScalarProperty:
[legend]
Collaboration diagram for Alembic::Abc::ALEMBIC_VERSION_NS::OScalarProperty:
[legend]

## Public Types

typedef OScalarProperty | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::ScalarPropertyWriterPtr >
typedef OBasePropertyT< AbcA::ScalarPropertyWriterPtr > | this_type
typedef OBasePropertyT< AbcA::ScalarPropertyWriterPtr > | operator_bool_base_type

## Public Member Functions

| OScalarProperty ()
| OScalarProperty (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const AbcA::DataType &iDataType, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument(), const Argument &iArg3=Argument())
| OScalarProperty (OCompoundProperty iParent, const std::string &iName, const AbcA::DataType &iDataType, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument())
| OScalarProperty (AbcA::ScalarPropertyWriterPtr iPtr, ErrorHandler::Policy iPolicy=ErrorHandler::kThrowPolicy)
| OScalarProperty (AbcA::ScalarPropertyWriterPtr iPtr, WrapExistingFlag iWrapFlag, ErrorHandler::Policy iPolicy=ErrorHandler::kThrowPolicy)
| ~OScalarProperty ()
size_t | getNumSamples () const
void | set (const void *iSample)
void | setFromPrevious ()
void | setTimeSampling (uint32_t iIndex)
void | setTimeSampling (AbcA::TimeSamplingPtr iTime)
OCompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::ScalarPropertyWriterPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
OObject | getObject () const
AbcA::ScalarPropertyWriterPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Additional Inherited Members

Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::ScalarPropertyWriterPtr >
| OBasePropertyT ()
| OBasePropertyT (AbcA::ScalarPropertyWriterPtr iPtr, ErrorHandler::Policy iPolicy)
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base ()
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::ScalarPropertyWriterPtr >
AbcA::ScalarPropertyWriterPtr | m_property

## Detailed Description

Definition at line 51 of file OScalarProperty.h.

## Member Typedef Documentation

## this_type

typedef OScalarProperty Alembic::Abc::ALEMBIC_VERSION_NS::OScalarProperty::this_type

By convention we always define this_type in Abc classes Used by unspecified-bool-type conversion below

Definition at line 57 of file OScalarProperty.h.

## Constructor & Destructor Documentation

## OScalarProperty() [1/5]

Alembic::Abc::ALEMBIC_VERSION_NS::OScalarProperty::OScalarProperty | ( |  | ) |

inline

The default constructor creates an empty OScalarProperty function set. ...

Definition at line 65 of file OScalarProperty.h.

## OScalarProperty() [2/5]

Alembic::Abc::ALEMBIC_VERSION_NS::OScalarProperty::OScalarProperty | ( | AbcA::CompoundPropertyWriterPtr | iParent,
|  | const std::string & | iName,
|  | const AbcA::DataType & | iDataType,
|  | const Argument & | iArg0 = `Argument()`,
|  | const Argument & | iArg1 = `Argument()`,
|  | const Argument & | iArg2 = `Argument()`,
|  | const Argument & | iArg3 = `Argument()`
| ) |  |

Create a new OScalarProperty named iName as a child of compound iParent, of data type iDataType. The remaining optional arguments can be used the inherited parent ErrorHandlerPolicy, an override to that policy, specify MetaData, and to specify time sampling or time sampling index.

## OScalarProperty() [3/5]

Alembic::Abc::ALEMBIC_VERSION_NS::OScalarProperty::OScalarProperty | ( | OCompoundProperty | iParent,
|  | const std::string & | iName,
|  | const AbcA::DataType & | iDataType,
|  | const Argument & | iArg0 = `Argument()`,
|  | const Argument & | iArg1 = `Argument()`,
|  | const Argument & | iArg2 = `Argument()`
| ) |  |

Create a new OScalarProperty named iName as a child of compound iParent, of data type iDataType. The remaining optional arguments can be used to override the ErrorHandlerPolicy, specify MetaData, and to specify time sampling or time sampling index.

## OScalarProperty() [4/5]

Alembic::Abc::ALEMBIC_VERSION_NS::OScalarProperty::OScalarProperty | ( | AbcA::ScalarPropertyWriterPtr | iPtr,
|  | ErrorHandler::Policy | iPolicy = `ErrorHandler::kThrowPolicy`
| ) |  |

inline

This attaches an OScalarProperty wrapper around an existing ScalarPropertyWriterPtr, arguments are there to specify ErrorHandling policy,

Definition at line 96 of file OScalarProperty.h.

## OScalarProperty() [5/5]

Alembic::Abc::ALEMBIC_VERSION_NS::OScalarProperty::OScalarProperty | ( | AbcA::ScalarPropertyWriterPtr | iPtr,
|  | WrapExistingFlag | iWrapFlag,
|  | ErrorHandler::Policy | iPolicy = `ErrorHandler::kThrowPolicy`
| ) |  |

inline

Definition at line 102 of file OScalarProperty.h.

## ~OScalarProperty()

Alembic::Abc::ALEMBIC_VERSION_NS::OScalarProperty::~OScalarProperty | ( |  | ) |

Default copy constructor used Default assignment operator used. Destructor ...

## Member Function Documentation

## getNumSamples()

size_t Alembic::Abc::ALEMBIC_VERSION_NS::OScalarProperty::getNumSamples | ( |  | ) | const

Return the number of samples contained in the property. This can be any number, including zero. This returns the number of samples that were written, independently of whether or not they were constant. It make change over time as more samples are written.

## getParent()

OCompoundProperty Alembic::Abc::ALEMBIC_VERSION_NS::OScalarProperty::getParent | ( |  | ) | const

Return the parent compound property, handily wrapped in a OCompoundProperty wrapper.

## set()

void Alembic::Abc::ALEMBIC_VERSION_NS::OScalarProperty::set | ( | const void * | iSample | ) |

Set a sample from the address of a datum. ...

Referenced by Alembic::Abc::ALEMBIC_VERSION_NS::OTypedScalarProperty< TRAITS >::set().

Here is the caller graph for this function:

## setFromPrevious()

void Alembic::Abc::ALEMBIC_VERSION_NS::OScalarProperty::setFromPrevious | ( |  | ) |

Set a sample from the previous sample. ...

Referenced by Alembic::AbcGeom::ALEMBIC_VERSION_NS::SetPropUsePrevIfNull< Abc::OBox3dProperty, Abc::Box3d >(), and Alembic::AbcGeom::ALEMBIC_VERSION_NS::SetPropUsePrevIfNull< Abc::OWstringProperty, Alembic::Util::wstring >().

Here is the caller graph for this function:

## setTimeSampling() [1/2]

void Alembic::Abc::ALEMBIC_VERSION_NS::OScalarProperty::setTimeSampling | ( | AbcA::TimeSamplingPtr | iTime | ) |

Changes the TimeSampling used by this property. If the TimeSampling is changed to Acyclic and the number of samples currently set is more than the number of times provided in the Acyclic TimeSampling, an exception will be thrown.

## setTimeSampling() [2/2]

void Alembic::Abc::ALEMBIC_VERSION_NS::OScalarProperty::setTimeSampling | ( | uint32_t | iIndex | ) |

Changes the TimeSampling used by this property. If the TimeSampling is changed to Acyclic and the number of samples currently set is more than the number of times provided in the Acyclic TimeSampling, an exception will be thrown.

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/Abc/OScalarProperty.h